umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Slots | List of all members
TestCppWriter Class Reference

`#include <testcppwriter.h>`

Inheritance diagram for TestCppWriter:

## Private Slots
void | test_language ()
void | test_writeClass ()
void | test_reservedKeywords ()
void | test_defaultDatatypes ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)
Protected Member Functions inherited from TestCodeGeneratorBase
QString | temporaryPath ()
Protected Attributes inherited from TestCodeGeneratorBase
QString | m_tempPath
| holds path to temporary directory
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Detailed Description

Unit test for class CppWriter (cppwriter.h).

## Member Function Documentation

## ◆ test_defaultDatatypes

void TestCppWriter::test_defaultDatatypes | ( |  | ) |
| private slot

## ◆ test_language

void TestCppWriter::test_language | ( |  | ) |
| private slot

## ◆ test_reservedKeywords

void TestCppWriter::test_reservedKeywords | ( |  | ) |
| private slot

## ◆ test_writeClass

void TestCppWriter::test_writeClass | ( |  | ) |
| private slot

The documentation for this class was generated from the following files:

- unittests/testcppwriter.h
- unittests/testcppwriter.cpp